Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class ContainerEnchantment

    java.lang.Object
      net.minecraft.src.Container
          net.minecraft.src.ContainerEnchantment

    public class ContainerEnchantment

extends Container

Field Summary
`int[]` | `enchantLevels` 3-member array storing the enchantment levels of each slot
`long` | `nameSeed` used as seed for EnchantmentNameParts (see GuiEnchantment)
`IInventory` | `tableInventory` SlotEnchantmentTable object with ItemStack to be enchanted

Fields inherited from class net.minecraft.src.Container
`inventoryItemStacks, inventorySlots, windowId`

Constructor Summary
`ContainerEnchantment(InventoryPlayer par1InventoryPlayer, World par2World, int par3, int par4, int par5)`

Method Summary
`void` | `addCraftingToCrafters(ICrafting par1ICrafting)`
`boolean` | `canInteractWith(EntityPlayer par1EntityPlayer)`
`boolean` | `enchantItem(EntityPlayer par1EntityPlayer, int par2)` enchants the item on the table using the specified slot; also deducts XP from player
`ItemStack` | `func_82846_b(EntityPlayer par1EntityPlayer, int par2)`
`void` | `onCraftGuiClosed(EntityPlayer par1EntityPlayer)` Callback for when the crafting gui is closed.
`void` | `onCraftMatrixChanged(IInventory par1IInventory)` Callback for when the crafting matrix is changed.
`void` | `updateCraftingResults()` Updates crafting matrix; called from onCraftMatrixChanged.
`void` | `updateProgressBar(int par1, int par2)`

Methods inherited from class net.minecraft.src.Container
`func_82847_b, getInventory, getNextTransactionID, getSlot, getSlotFromInventory, isPlayerNotUsingContainer, putStackInSlot, putStacksInSlots, setPlayerIsPresent, slotClick`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tableInventory

    public IInventory tableInventory

  SlotEnchantmentTable object with ItemStack to be enchanted

### nameSeed

    public long nameSeed

  used as seed for EnchantmentNameParts (see GuiEnchantment)

### enchantLevels

    public int[] enchantLevels

  3-member array storing the enchantment levels of each slot

Constructor Detail

### ContainerEnchantment

    public ContainerEnchantment(InventoryPlayer par1InventoryPlayer,
                                World par2World,
                                int par3,
                                int par4,
                                int par5)

Method Detail

### addCraftingToCrafters

    public void addCraftingToCrafters(ICrafting par1ICrafting)

  Overrides:
    `addCraftingToCrafters` in class `Container`

### updateCraftingResults

    public void updateCraftingResults()

  Updates crafting matrix; called from onCraftMatrixChanged. Args: none

  Overrides:
    `updateCraftingResults` in class `Container`

### updateProgressBar

    public void updateProgressBar(int par1,
                                  int par2)

  Overrides:
    `updateProgressBar` in class `Container`

### onCraftMatrixChanged

    public void onCraftMatrixChanged(IInventory par1IInventory)

  Callback for when the crafting matrix is changed.

  Overrides:
    `onCraftMatrixChanged` in class `Container`

### enchantItem

    public boolean enchantItem(EntityPlayer par1EntityPlayer,
                               int par2)

  enchants the item on the table using the specified slot; also deducts XP from player

  Overrides:
    `enchantItem` in class `Container`

### onCraftGuiClosed

    public void onCraftGuiClosed(EntityPlayer par1EntityPlayer)

  Callback for when the crafting gui is closed.

  Overrides:
    `onCraftGuiClosed` in class `Container`

### canInteractWith

    public boolean canInteractWith(EntityPlayer par1EntityPlayer)

  Specified by:
    `canInteractWith` in class `Container`

### func_82846_b

    public ItemStack func_82846_b(EntityPlayer par1EntityPlayer,
                                  int par2)

  Overrides:
    `func_82846_b` in class `Container`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD